*,
*::before,
*::after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    overscroll-behavior-y: none;
}

:root {
    --font-ui: Andika;
    --font-text: Amulya;
    --font-size-ui: 16px;
    --font-size-text: 16px;
    --line-height-ui: normal;
    --line-height-text: normal;
    --font-weight-ui: normal;
    --font-weight-text: normal;
    --background-primary: oklch(0.9909 0.0045 34.31);
    --background-secondary: oklch();
    --background-tertiary: oklch();
    --text-normal: oklch(0.3 0.02 70);
    --text-muted: oklch();
    --text-faint: oklch();
    --link-color: oklch(  );
    --link-color-hover: oklch();
    --accent-color: oklch(0.5 0.1 305);
    --accent-color-hover: oklch(0.6 0.2 305);
    --delete-color: oklch(0.5 0.1 30);
    --delete-color-hover:oklch(0.6 0.2 30);
    --accent2-color: oklch(0.5 0.1 250);
    --accent2-color-hover: oklch(0.6 0.2 250);

}
[data-theme="yellow"] {
    --background-lightness: 0.9707;
    --background-chroma: 0.0744;
    --background-hue: 102;
    --text-lightness: 0.3;
    --text-chroma: 0.03;
    --text-hue: 66;
}

[data-theme="parchment"] {
    --background-lightness: 0.9467;
    --background-chroma: 0.0644;
    --background-hue: 103;
    --text-lightness: 0.3;
    --text-chroma: 0.03;
    --text-hue: 66;
}

[data-theme="best yellow"] {
    --background-lightness: 0.953;
    --background-chroma: 0.085;
    --background-hue: 101;
    --text-lightness: 0.3;
    --text-chroma: 0.02;
    --text-hue: 70;
}
[data-theme="peachy75"] {
    --background-lightness: 0.9;
    --background-chroma: 0.085;
    --background-hue: 75;
    --text-lightness: 0.3;
    --text-chroma: 0.02;
    --text-hue: 79;
}
[data-theme="mango84"] {
    --background-lightness: 0.9;
    --background-chroma: 0.085;
    --background-hue: 83.72;
    --text-lightness: 0.3;
    --text-chroma: 0.02;
    --text-hue: 70;
}

[data-theme="nw105"] {
    --background-lightness: 0.9;
    --background-chroma: 0.085;
    --background-hue: 105;
    --text-lightness: 0.3;
    --text-chroma: 0.02;
    --text-hue: 70;
}

[data-theme="nw115"] {
    --background-lightness: 0.9;
    --background-chroma: 0.085;
    --background-hue: 115;
    --text-lightness: 0.3;
    --text-chroma: 0.02;
    --text-hue: 70;
}

[data-theme="nw130"] {
    --background-lightness: 0.9;
    --background-chroma: 0.085;
    --background-hue: 130;
    --text-lightness: 0.3;
    --text-chroma: 0.02;
    --text-hue: 70;
}

html {
    font-size: var(--font-size-ui);

body {
    background-color: var(--background-secondary);
    font-family: var(--font-ui);
    font-size: 1.25rem;
}

h1{
    text-align: left;
    font-size: 2.25rem;
    color: var(--text-normal);
}

h2 {
    font-size: 1.5rem;
    margin-bottom: 1rem;
    color: var(--text-normal);
}
a {
    font-family: var(--font-ui);
    text-decoration: none;
    color: var(--text-normal);
}
label{
    width:15dvw;
}
.navbar {
    background-color: var(--background-secondary);
    font-size: 1.25rem;
    height: 10dvh;
    padding: 1rem;
    position: sticky;
    top: 0;
}
.navbar-links {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
    gap: 1rem;


}
.dropdown-content {
    display: none;
    position: absolute;
    top: 100%;
}
.dropdown-content.visible {
    display: block;
    position: absolute;
    top: 100%;
    background-color: var(--background-secondary);
    max-height: 95vh;
    overflow-y: auto;
}




.messages {
    margin: 20px 0;
}

.message {
    padding: 15px;
    margin-bottom: 10px;
    border-radius: 4px;
}

.message.success {
    background-color: #000;
    color: oklch(0.91 0.2 136);
    border: 1px solid #c3e6cb;
    text-align: center;
}

.message.error {
    background-color: #000;
    color: oklch(0.628 0.26 29);
    border: 1px solid #f5c6cb;
    text-align: center;
}

.message.warning {
    background-color: #000;
    color: #856404;
    border: 1px solid #ffeaa7;
    text-align: center;
}

.message.info {
    background-color: #000;
    color: #0c5460;
    border: 1px solid #bee5eb;
    text-align: center;
}



.button-container {
    display: grid;
    grid-template-columns: auto auto auto;
    justify-content: center;
    align-items: center;
    grid-gap: 1rem;
}
.button-container2 {
    display: grid;
    grid-template-columns: auto auto auto auto;
    justify-content: center;
    grid-gap: 1rem;
}




.deck-list{
    display: grid;
    grid-template-columns: auto;
    justify-content: center;
    align-items: center;
    grid-gap: 1rem;
}
.deck-display {
    display: grid;
    grid-template-columns: auto;
    justify-content: center;
    align-items: center;
    grid-gap: 1rem;
}
.card{
    width:60vw;
    height: 20vh;
    text-align: left;
    padding: 1rem;
    font-size: 2.5rem;
    
}
.container {
    display: grid;
    justify-content: center;
    align-content: space-around;

    
   
    
}
.container2 {
    display: grid;
    justify-content: center;
    align-content: space-between;
    height: 60dvh;
    padding: 2rem;
   
    
}
.choices {
    display: grid;
    grid-template-columns: 1fr 1fr;
    justify-content: center;
    align-items: start;
    grid-gap: 2rem;
    margin-bottom: 2rem;
    
}
.choice{
    font-size: 1.75rem;
    text-align: left;
    width: 40vw;
    height: 30vh;
    padding: 1rem;
    border-radius: 1rem;
    background-color: oklch(0.95 0.05 110);
   
    
}
.game-choice {
    display: grid;
    grid-template-columns: 1fr 1fr;
    justify-content: center;
    align-items: center;
    grid-gap: 1rem;
    text-align: center;
}

.choice:disabled {
    opacity: 1;
    cursor: none;
    color: white;
}

.deck-id {
    display: none;
}
.landing-container {
    display: grid;
    justify-content: center;
    align-items: center;
    grid-gap: 1rem;
}
.login-container {
    display: grid;
    justify-content: center;
    align-items: center;
    grid-gap: 1rem;
}

.card-text {
    font-size: 1.25rem;
    text-align: left; 
    
    
    
}
.game-choice {
    display: grid;
    grid-template-columns: 1fr 1fr;
    justify-content: center;
    align-items: center;
    grid-gap: 1rem;
    text-align: center;
}

.choice:disabled {
    opacity: 1;
    cursor: none;
    color: white;
}

.deck-id {
    display: none;
}
.landing-container {
    display: grid;
    justify-content: center;
    align-items: center;
    grid-gap: 3rem;
}
.login-container {
    display: grid;
    justify-content: center;
    align-items: center;
    grid-gap: 1rem;
}
.index-container {
    display: grid;
    justify-content: center;
    align-items: center;
    grid-gap: 1rem;
}

.card-content {
    font-size: 1.25rem;
    text-align: left;
    width: 40vw;
    height: 30vh;
    padding: 1rem;
    border-radius: 1rem;
   
    
}
.game-choice {
    display: grid;
    grid-template-columns: 1fr 1fr;
    justify-content: center;
    align-items: center;
    grid-gap: 1rem;
    text-align: center;
}
button.dropdown-button {
    border: none;
    background-color: transparent;
    color: inherit;
    font: inherit;
    cursor: pointer;
    text-align: left;
}
.dropdown {
    display: flex;
    flex-direction: column;
    align-items: left;
    position: relative;
}

button {
    font-family: var(--font-ui);
    font-size: 1.25rem;
    border: none;
    border-radius: 0.25rem;
    padding:0.25rem;
    text-align: center;
}
.view-button {
    display: inline-block;
    background-color: oklch(0.6 0.2 250);
    color: white;
    width: 10dvw;
    text-align: center;
    border-radius: 0.25rem;
    padding:0.25rem;
}

.view-button:hover {
    background-color: oklch(0.7 0.25 250);
    
}

.play-button {
    display: inline-block;
    background-color: oklch(0.6 0.2 305);
    color: white;
    width: 10dvw;
    border-radius: 0.25rem;
    padding:0.25rem;
}

.play-button:hover {
    background-color: oklch(0.7 0.25 305);
    
}
.create-button {
    display: inline-block;
    background-color: oklch(0.6 0.2 305);
    color: white;
    width: 100%;
    margin-top: 1rem;
    border-radius: 0.25rem;
    padding:0.25rem;
}

.create-button:hover {
    background-color: oklch(0.7 0.25 305);
    
}

input{
    border-radius: 0.25rem;
}
label{
    display: inline-block;
    width:7dvw;
    
}
.export-options{
    margin-top: 1rem;
}
.container3{
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    justify-content: center;
    margin-top: 1rem;
}
.container4{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    align-content: center;
    justify-content: center;
    grid-gap: 0.5rem;
}
.centered{
    text-align: center;
    margin-bottom: 2rem;
}
.container5{
    display: grid;
    grid-template-columns: 1fr;
    align-items: center;
    justify-content: center;
    
    
}
.container6{
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: start;
    justify-content: center;
  
    
    
}
.container7{
    display: grid;
    grid-template-columns: 1fr;
    align-items: center;
    justify-content: center;
    margin-bottom: 2rem;
    padding: 1rem;
}
.container8{
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: start;
    justify-content: center;
    padding: 1rem;
}
.logout-button{
    background-color: var(--background-primary);
    padding: 0;
}

.logout-button:hover {
    background-color: oklch(0.7 0.25 305);
}
.signup-container{
    display: grid;
    grid-template-columns: 1fr;
    align-items: center;
    justify-items: center;
    margin-bottom: 2rem;
    padding: 1rem;
    font-size: 1.25rem;
    
}
.signup-container label{
    display: inline-block;
    width:10dvw;
    
}
.signup-container button{
    display: inline-block;
    width:100%;
    border-radius: 0.25rem;
    padding: 0.5rem;
    background-color: oklch(0.6 0.2 305);
    color: white;
    border: none;
    cursor: pointer;
    margin-top:1rem;
}
.signup-container button:hover{
    background-color: oklch(0.7 0.25 305);
}
.signup-container input{
    display: inline-block;
    width:20dvw;
    border-radius: 0.25rem;
    padding: 0.5rem;
    cursor: pointer;
    font-size:1.25rem;
    border:1px solid;
    margin-bottom: 0.5rem;
}
